Should the ruleset be automatically included in the new deployments
regionstringrequired
The ruleset can be attached only to deployments in the specific region
rulesobject[]required
List of rules
idstring
The rule ID
remote_cluster_org_idstring
The remote cluster organization ID
remote_cluster_idstring
The remote cluster ID
descriptionstring
Description of the rule
sourcestring
Allowed traffic filter source: IP address, CIDR mask, or VPC endpoint ID
azure_endpoint_namestring
Name of the Azure Private Endpoint to allow connections from
azure_endpoint_guidstring
Resource GUID of the Azure Private Endpoint to allow connections from
egress_ruleobject
The rule detail for a traffic filter egress rule.
targetstringrequired
Allowed traffic filter egress target: IP address or CIDR mask
portsinteger[] · format: int32
A list of target ports for an egress rule
protocolenumrequired
The target protocol for an egress rule
Values:alltcpudp
associationsobject[]
List of associations. Returned only when include_associations query parameter is true
entity_typestringrequired
Type of the traffic filter ruleset association, such as 'deployment', 'cluster'
idstringrequired
ID of the entity, such as the deployment ID or Elasticsearch cluster ID.
total_associationsinteger · format: int32
Total number of associations. This includes associations the user does not have permission to view.Returned only when include_associations query parameter is true
The traffic filter ruleset specified by {ruleset_id} cannot be found. (code: traffic_filter.not_found)
application/json
errorsobject[]required
A list of errors that occurred in the failing request
codestringrequired
A structured code representing the error type that occurred
messagestringrequired
A human readable message describing the error that occurred
fieldsstring[]
If the error can be tied to a specific field or fields in the user request, this lists those fields
Response headers
x-cloud-error-codesenum
The error codes associated with the response
Error reading the traffic filter ruleset. (code: traffic_filter.request_execution_failed)
application/json
errorsobject[]required
A list of errors that occurred in the failing request
codestringrequired
A structured code representing the error type that occurred
messagestringrequired
A human readable message describing the error that occurred
fieldsstring[]
If the error can be tied to a specific field or fields in the user request, this lists those fields